---
updatedAt: 2025-10-16T17:56:36.000Z
agentTools:
  projectIndex: https://developers.bitlaunch.io/llms.txt
---

# Get Resize Options

Returns the available options the server can resize to.

## Response

This will return a [Server Creation Options Object](https://developers.bitlaunch.io/reference/the-creation-options-object).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bitlaunch-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.bitlaunch.io/api/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/servers/{id}/resize-availability": {
      "get": {
        "summary": "Get Resize Options",
        "description": "Returns the available options the server can resize to.",
        "operationId": "get-resize-options",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The server ID",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"hostID\": 4,\n  \"image\": [],\n  \"region\": [\n    {\n      \"id\": 0,\n      \"name\": \"Amsterdam\",\n      \"iso\": \"nl\",\n      \"subregion\": {\n        \"id\": \"ams1\",\n        \"description\": \"1\",\n        \"slug\": \"ams1\",\n        \"unavailableSizes\": [\n          \"nibble-1024\",\n          \"nibble-4096\",\n          \"nibble-8192\",\n          \"nibble-16384\",\n          \"nibble-32768\"\n        ]\n      },\n      \"subregions\": [\n        {\n          \"id\": \"ams1\",\n          \"description\": \"1\",\n          \"slug\": \"ams1\",\n          \"unavailableSizes\": [\n            \"nibble-1024\",\n            \"nibble-4096\",\n            \"nibble-8192\",\n            \"nibble-16384\",\n            \"nibble-32768\"\n          ]\n        },\n        {\n          \"id\": \"ams2\",\n          \"description\": \"2\",\n          \"slug\": \"ams2\",\n          \"unavailableSizes\": [\n            \"nibble-1024\",\n            \"nibble-4096\",\n            \"nibble-8192\",\n            \"nibble-16384\",\n            \"nibble-32768\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"size\": [\n    {\n      \"id\": \"nibble-1024\",\n      \"slug\": \"Nibble-1024\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 1,\n      \"diskGB\": 25,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"25\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 1024,\n      \"costPerHr\": 15,\n      \"costPerMonth\": 10,\n      \"planType\": \"standard\"\n    },\n    {\n      \"id\": \"nibble-2048\",\n      \"slug\": \"Nibble-2048\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 2,\n      \"diskGB\": 50,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"50\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 2048,\n      \"costPerHr\": 30,\n      \"costPerMonth\": 20,\n      \"planType\": \"standard\"\n    },\n    {\n      \"id\": \"nibble-4096\",\n      \"slug\": \"Nibble-4096\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 2,\n      \"diskGB\": 100,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"100\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 4096,\n      \"costPerHr\": 60,\n      \"costPerMonth\": 40,\n      \"planType\": \"standard\"\n    },\n    {\n      \"id\": \"nibble-8192\",\n      \"slug\": \"Nibble-8192\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 4,\n      \"diskGB\": 150,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"150\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 8192,\n      \"costPerHr\": 120,\n      \"costPerMonth\": 80,\n      \"planType\": \"standard\"\n    },\n    {\n      \"id\": \"nibble-16384\",\n      \"slug\": \"Nibble-16384\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 6,\n      \"diskGB\": 300,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"300\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 16384,\n      \"costPerHr\": 239,\n      \"costPerMonth\": 160,\n      \"planType\": \"standard\"\n    },\n    {\n      \"id\": \"nibble-32768\",\n      \"slug\": \"Nibble-32768\",\n      \"bandwidthGB\": 0,\n      \"cpuCount\": 8,\n      \"diskGB\": 600,\n      \"disks\": [\n        {\n          \"type\": \"SSD\",\n          \"count\": 1,\n          \"size\": \"600\",\n          \"unit\": \"GB\"\n        }\n      ],\n      \"memoryMB\": 32768,\n      \"costPerHr\": 477,\n      \"costPerMonth\": 320,\n      \"planType\": \"standard\"\n    }\n  ],\n  \"available\": true,\n  \"bandwidthCost\": 0,\n  \"planTypes\": [\n    {\n      \"type\": \"standard\",\n      \"description\": \"Fast SSD KVM virtual machines with a mix of compute resources and dedicated memory for a variety of applications.\",\n      \"name\": \"Standard\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "hostID": {
                      "type": "integer",
                      "example": 4,
                      "default": 0
                    },
                    "image": {
                      "type": "array"
                    },
                    "region": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "Amsterdam"
                          },
                          "iso": {
                            "type": "string",
                            "example": "nl"
                          },
                          "subregion": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "ams1"
                              },
                              "description": {
                                "type": "string",
                                "example": "1"
                              },
                              "slug": {
                                "type": "string",
                                "example": "ams1"
                              },
                              "unavailableSizes": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "nibble-1024"
                                }
                              }
                            }
                          },
                          "subregions": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "ams1"
                                },
                                "description": {
                                  "type": "string",
                                  "example": "1"
                                },
                                "slug": {
                                  "type": "string",
                                  "example": "ams1"
                                },
                                "unavailableSizes": {
                                  "type": "array",
                                  "items": {
                                    "type": "string",
                                    "example": "nibble-1024"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "size": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "nibble-1024"
                          },
                          "slug": {
                            "type": "string",
                            "example": "Nibble-1024"
                          },
                          "bandwidthGB": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "cpuCount": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "diskGB": {
                            "type": "integer",
                            "example": 25,
                            "default": 0
                          },
                          "disks": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string",
                                  "example": "SSD"
                                },
                                "count": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "size": {
                                  "type": "string",
                                  "example": "25"
                                },
                                "unit": {
                                  "type": "string",
                                  "example": "GB"
                                }
                              }
                            }
                          },
                          "memoryMB": {
                            "type": "integer",
                            "example": 1024,
                            "default": 0
                          },
                          "costPerHr": {
                            "type": "integer",
                            "example": 15,
                            "default": 0
                          },
                          "costPerMonth": {
                            "type": "integer",
                            "example": 10,
                            "default": 0
                          },
                          "planType": {
                            "type": "string",
                            "example": "standard"
                          }
                        }
                      }
                    },
                    "available": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "bandwidthCost": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "planTypes": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "string",
                            "example": "standard"
                          },
                          "description": {
                            "type": "string",
                            "example": "Fast SSD KVM virtual machines with a mix of compute resources and dedicated memory for a variety of applications."
                          },
                          "name": {
                            "type": "string",
                            "example": "Standard"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://app.bitlaunch.io/api/servers/aaaaaaaaaaabbbbbbbbbbbbb/resize-availability' -H 'Authorization: Bearer API_KEY'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```